xfstests: include test subdirectory support
[xfstests-dev.git] / 239
1 #! /bin/bash
2 # FS QA Test No. 239
3 #
4 # Read from a sparse file immedialy after filling a hole to test for races
5 # in unwritten extent conversion.
6 #
7 #-----------------------------------------------------------------------
8 # Copyright (c) 2010 Red Hat, Inc.  All Rights Reserved.
9 #
10 # This program is free software; you can redistribute it and/or
11 # modify it under the terms of the GNU General Public License as
12 # published by the Free Software Foundation.
13 #
14 # This program is distributed in the hope that it would be useful,
15 # but WITHOUT ANY WARRANTY; without even the implied warranty of
16 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
17 # GNU General Public License for more details.
18 #
19 # You should have received a copy of the GNU General Public License
20 # along with this program; if not, write the Free Software Foundation,
21 # Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
22 #-----------------------------------------------------------------------
23 #
24
25 seq=`basename $0`
26 echo "QA output created by $seq"
27
28 here=`pwd`
29 tmp=/tmp/$$
30 status=1        # failure is the default!
31 trap "_cleanup; exit \$status" 0 1 2 3 15
32
33 _cleanup()
34 {
35     cd /
36     rm -f $TEST_DIR/tst-aio-dio-sparse-unwritten
37 }
38
39 # get standard environment, filters and checks
40 . ./common.rc
41 . ./common.filter
42
43 _supported_fs generic
44 _supported_os Linux
45
46 _require_sparse_files
47 _require_aiodio aio-dio-hole-filling-race
48
49 echo "Silence is golden"
50
51 for i in `seq 1 500`; do
52   $AIO_TEST $TEST_DIR/tst-aio-dio-hole-filling-race || break
53 done
54
55 status=$?
56 exit